Bug 1949435 - ingressclass controller doesn't recreate the openshift-default ingressclass after deleting it
Summary: ingressclass controller doesn't recreate the openshift-default ingressclass a...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.8
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: 4.8.0
Assignee: Miciah Dashiel Butler Masters
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-14 09:47 UTC by Hongan Li
Modified: 2022-08-04 22:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:00:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-ingress-operator pull 600 0 None open Bug 1949435: ingressclass: Fix API group name in watch predicate 2021-04-15 23:43:41 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:00:47 UTC

Description Hongan Li 2021-04-14 09:47:56 UTC
Description of problem:
ingressclass controller doesn't recreate the openshift-default ingressclass after deleting it

Version-Release number of selected component (if applicable):
4.8.0-0.nightly-2021-04-13-171608

How reproducible:
100%

Steps to Reproduce:
1. fresh install 4.8 cluster
2. check the ingressclass
$ oc get ingressclass
NAME                CONTROLLER                      PARAMETERS                                        AGE
openshift-default   openshift.io/ingress-to-route   IngressController.operator.openshift.io/default   8h

3. delete the ingressclass
$ oc delete ingressclass openshift-default

Actual results:
ingressclass controller doesn't recreate the openshift-default ingressclass until restarting ingress operator pod.

Expected results:
ingressclass controller should recreate the openshift-default ingressclass after deleting it.

Additional info:
workaround: restarting ingress operator pod

Comment 2 Hongan Li 2021-04-19 08:50:04 UTC
verified with 4.8.0-0.nightly-2021-04-18-101412 and passed.

$ oc get ingressclass
NAME                CONTROLLER                      PARAMETERS                                        AGE
openshift-default   openshift.io/ingress-to-route   IngressController.operator.openshift.io/default   6h9m

$ oc delete ingressclass/openshift-default
ingressclass.networking.k8s.io "openshift-default" deleted

$ oc get ingressclass
NAME                CONTROLLER                      PARAMETERS                                        AGE
openshift-default   openshift.io/ingress-to-route   IngressController.operator.openshift.io/default   5s

Comment 5 errata-xmlrpc 2021-07-27 23:00:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.